#include <stdio.h>
#include <sys/types.h>
#include <sys/ioctl.h>
#include <mon/nvram.h>
#include <nextdev/video.h>
main()
{
	register int v;
	struct nvram_info nv;

	if ((v=open("/dev/vid0", 0))<0) {
		perror("/dev/vid0");
		exit(1);
	}
	if (ioctl(v, DKIOCGNVRAM, &nv)<0) {
		perror("couldn't read NVRAM");
		exit(1);
	}
	switch (nv.ni_hw_pwd) {
	case 0:
		putchar('\n');
		break;
	case HW_PWD:
		*(u_long *)nv.ni_ep^=0x4e4e4e4eL;
		*(u_short *)&nv.ni_ep[4]^=0x4e4e;
		/*FALL THROUGH*/
	default:
		(void)printf("%.6s\n", nv.ni_ep);
		break;
	}
	(void)close(v);
	exit(0);
}
